# first we start with predefined passwords
import os

# CPU cluck 160MHz

#activate WLAN
import network, time
wl = network.WLAN(network.STA_IF)
wl.active(True)

# get the nearest SSID
wls = wl.scan()

wlist=list()

for w in wls:
    wlist.append([w[3],w[0].decode()])
wlist.sort(reverse=True)

#print(str(wlist))
wlist.sort(reverse=True)
#print(str(wlist))


print(wlist[0][1])
